- deploy:
    failure_retry: 3
    # Must use a considerable timeout because Docker images can be big
    timeout:
      minutes: 20
    to: downloads
    images:
      soafee_alpine:
        url: https://people.linaro.org/~javier.tia/images/soafee/docker/soafee-alpine-v3.17.2-d74e625d9115.tar
{% if settings.ENABLE_XEN %}
      xen_images:
        url: https://people.linaro.org/~javier.tia/images/soafee/xen/xen_guest_image.tar
{% endif %}

- test:
    timeout:
      minutes: 60
    definitions:
      - repository:
          metadata:
            format: Lava-Test Test Definition 1.0
            name: soafee-test-suite
            description: "Run the SOAFEE Test Suite"
            os:
              - linux-any
            scope:
              - functional
          run:
            steps:
              - sudo -i soafee-test-suite-setup -m http://${LAVA_DISPATCHER_IP}/tmp/${LAVA_JOB_ID}/downloads/common run
{% if settings.ENABLE_XEN %}
              - sudo -i -u ewaol soafee-test-suite run -r -t -T --filter-tags soafee --filter-tags virtual | tee -a soafee-test-suite-result.txt
{% else %}
              - sudo -i -u ewaol soafee-test-suite run -r -t -T --filter-tags soafee | tee -a soafee-test-suite-result.txt
{% endif %}
              - tap2lava soafee-test-suite-result.txt
        from: inline
        path: soafee-test-suite
        name: soafee-test-suite
